# Interface Contact

All Known Implementing Classes:
  `DefaultContact`

@UML(identifier="CI_Contact", specification=ISO_19115) public interface Contact
Information required to enable contact with the responsible person and/or organization.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress()`
  Physical and email address at which the organization or individual may be contacted.
  `InternationalString`
  `getContactInstructions()`
  Supplemental instructions on how or when to contact the individual or organization.
  `InternationalString`
  `getHoursOfService()`
  Time period (including time zone) when individuals can contact the organization or individual.
  `OnlineResource`
  `getOnlineResource()`
  On-line information that can be used to contact the individual or organization.
  `Telephone`
  `getPhone()`
  Telephone numbers at which the organization or individual may be contacted.

- ## Method Details

  - ### getPhone

    @UML(identifier="phone", obligation=OPTIONAL, specification=ISO_19115) Telephone getPhone()
    Telephone numbers at which the organization or individual may be contacted. Returns `null` if none.
    Returns:
      Telephone numbers at which the organization or individual may be contacted, or `null`.

  - ### getAddress

    @UML(identifier="address", obligation=OPTIONAL, specification=ISO_19115) Address getAddress()
    Physical and email address at which the organization or individual may be contacted. Returns `null` if none.
    Returns:
      Physical and email address at which the organization or individual may be contacted, or `null`.

  - ### getOnlineResource

    @UML(identifier="onlineResource", obligation=OPTIONAL, specification=ISO_19115) OnlineResource getOnlineResource()
    On-line information that can be used to contact the individual or organization. Returns `null` if none.
    Returns:
      On-line information that can be used to contact the individual or organization, or `null`.

  - ### getHoursOfService

    @UML(identifier="hoursOfService", obligation=OPTIONAL, specification=ISO_19115) InternationalString getHoursOfService()
    Time period (including time zone) when individuals can contact the organization or individual. Returns `null` if unspecified.
    Returns:
      Time period when individuals can contact the organization or individual, or `null`.

  - ### getContactInstructions

    @UML(identifier="contactInstructions", obligation=OPTIONAL, specification=ISO_19115) InternationalString getContactInstructions()
    Supplemental instructions on how or when to contact the individual or organization. Returns `null` if none.
    Returns:
      Supplemental instructions on how or when to contact the individual or organization, or `null`.